/*
 * Copyright 2003 - 2009 The eFaps Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Revision:        $Rev: 3447 $
 * Last Changed:    $Date: 2009-11-29 17:46:39 -0500 (Sun, 29 Nov 2009) $
 * Last Changed By: $Author: tim.moxter $
 */

package org.efaps.ui.wicket.models.cell;

import org.apache.wicket.model.Model;

/**
 * TODO comment
 *
 * @author jmox
 * @version $Id: XYModel.java 3447 2009-11-29 22:46:39Z tim.moxter $
 */
public class XYModel extends Model<XYValue> {

  private static final long serialVersionUID = 1L;

  private XYValue xymodel;

  public XYModel (final XYValue _xymodel) {
    this.xymodel = _xymodel;
  }

  @Override
  public XYValue getObject() {
    return this.xymodel;
  }

  @Override
  public void setObject(final XYValue _xymodel) {
    this.xymodel = _xymodel;
  }

}
